import { Base58EncodedAddress } from '@solana/addresses';
import { StringifiedBigInt } from '../stringified-bigint';
import { StringifiedNumber } from '../stringified-number';
export type Commitment = 'confirmed' | 'finalized' | 'processed';
export type DataSlice = Readonly<{
    offset: number;
    length: number;
}>;
export type LamportsUnsafeBeyond2Pow53Minus1 = bigint & {
    readonly __brand: unique symbol;
};
export type MicroLamportsUnsafeBeyond2Pow53Minus1 = bigint & {
    readonly __brand: unique symbol;
};
export type Slot = U64UnsafeBeyond2Pow53Minus1;
export type U64UnsafeBeyond2Pow53Minus1 = bigint;
export type F64UnsafeSeeDocumentation = number;
export type RpcResponse<TValue> = Readonly<{
    context: Readonly<{
        slot: Slot;
    }>;
    value: TValue;
}>;
export type Base58EncodedBytes = string & {
    readonly __brand: unique symbol;
};
export type Base64EncodedBytes = string & {
    readonly __brand: unique symbol;
};
export type Base64EncodedZStdCompressedBytes = string & {
    readonly __brand: unique symbol;
};
export type Base58EncodedDataResponse = [Base58EncodedBytes, 'base58'];
export type Base64EncodedDataResponse = [Base64EncodedBytes, 'base64'];
export type Base64EncodedZStdCompressedDataResponse = [Base64EncodedZStdCompressedBytes, 'base64+zstd'];
export type Base58EncodedTransactionSignature = string & {
    readonly __brand: unique symbol;
};
export type AccountInfoBase = Readonly<{
    /** indicates if the account contains a program (and is strictly read-only) */
    executable: boolean;
    /** number of lamports assigned to this account */
    lamports: LamportsUnsafeBeyond2Pow53Minus1;
    /** pubkey of the program this account has been assigned to */
    owner: Base58EncodedAddress;
    /** the epoch at which this account will next owe rent */
    rentEpoch: U64UnsafeBeyond2Pow53Minus1;
}>;
/** @deprecated */
export type AccountInfoWithBase58Bytes = Readonly<{
    data: Base58EncodedBytes;
}>;
/** @deprecated */
export type AccountInfoWithBase58EncodedData = Readonly<{
    data: Base58EncodedDataResponse;
}>;
export type AccountInfoWithBase64EncodedData = Readonly<{
    data: Base64EncodedDataResponse;
}>;
export type AccountInfoWithBase64EncodedZStdCompressedData = Readonly<{
    data: Base64EncodedZStdCompressedDataResponse;
}>;
export type AccountInfoWithJsonData = Readonly<{
    data: Readonly<{
        program: string;
        parsed: unknown;
        space: U64UnsafeBeyond2Pow53Minus1;
    }> | Base64EncodedDataResponse;
}>;
export type AccountInfoWithPubkey<TAccount extends AccountInfoBase> = Readonly<{
    account: TAccount;
    pubkey: Base58EncodedAddress;
}>;
export type TokenAmount = Readonly<{
    amount: StringifiedBigInt;
    decimals: number;
    uiAmount: number | null;
    uiAmountString: StringifiedNumber;
}>;
type TokenAccountState = 'initialized' | 'uninitialized' | 'frozen';
export type TokenAccount = Readonly<{
    mint: Base58EncodedAddress;
    owner: Base58EncodedAddress;
    tokenAmount: TokenAmount;
    delegate?: Base58EncodedAddress;
    state: TokenAccountState;
    isNative: boolean;
    rentExemptReserve?: TokenAmount;
    delegatedAmount?: TokenAmount;
    closeAuthority?: Base58EncodedAddress;
    extensions?: unknown[];
}>;
export {};
//# sourceMappingURL=common.d.ts.map